SUMMARY = "ADK utilities"
SECTION = "libs"
LICENSE = "BSD-3-Clause"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/files/common-licenses/${LICENSE};md5=550794465ba0ec5312d6919e203a55f9"
DEPENDS = ""

FILESPATH_prepend = "${WORKSPACE}/vendor/qcom/opensource/:"
SRC_URI = "file://adk-utils/"
S = "${WORKDIR}/adk-utils"

ALLOW_EMPTY_${PN} = "1"
PACKAGECONFIG[stdout] = "-DADK_LOG_BACKEND_DEFAULT_STDOUT=ON,-DADK_LOG_BACKEND_DEFAULT_STDOUT=OFF,,"
PACKAGECONFIG[stderr] = "-DADK_LOG_BACKEND_DEFAULT_STDERR=ON,-DADK_LOG_BACKEND_DEFAULT_STDERR=OFF,,"
PACKAGECONFIG[syslog] = "-DADK_LOG_BACKEND_DEFAULT_SYSLOG=ON,-DADK_LOG_BACKEND_DEFAULT_SYSLOG=OFF,,"
PACKAGECONFIG[systemd] = "-DADK_LOG_BACKEND_DEFAULT_SYSTEMD=ON,-DADK_LOG_BACKEND_DEFAULT_SYSTEMD=OFF,,"

PACKAGECONFIG[emerg] = "-DADK_LOG_LEVEL=EMERG"
PACKAGECONFIG[alert] = "-DADK_LOG_LEVEL=ALERT"
PACKAGECONFIG[crit] = "-DADK_LOG_LEVEL=CRIT"
PACKAGECONFIG[error] = "-DADK_LOG_LEVEL=ERROR"
PACKAGECONFIG[warning] = "-DADK_LOG_LEVEL=WARNING"
PACKAGECONFIG[notice] = "-DADK_LOG_LEVEL=NOTICE"
PACKAGECONFIG[info] = "-DADK_LOG_LEVEL=INFO"
PACKAGECONFIG[debug] = "-DADK_LOG_LEVEL=DEBUG"
inherit cmake pkgconfig
